### Method

# Xdp Settings read

#### Declaration [src]

    void
    xdp_settings_read (
      XdpSettings* settings,
      const char* namespace,
      const gchar* key,
      GCancellable* cancellable,
      GError** error,
      const gchar* format,
      ...
    )

#### Description [src]

Read a setting value within `namespace`, with `key`.

A convenience function that combines `xdp_settings_read_value()` with g_variant_get().

In case of error, if `error` is not NULL, then the error is returned.

This method is not directly available to language bindings.

#### Parameters

`namespace`

  Type: `const char*`

  The namespace of the value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  The key of the value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A GCancellable or NULL.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError`

  Return location for error or NULL.

  The data is owned by the caller of the method.

`format`

  Type: `const gchar*`

  A `GVariant` format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments as per `format`.